services:
  nginx:
    image: nginx:latest
    container_name: nginx-ps5
    ports:
      - "8085:8085"
    volumes:
      - /home/vince413/Docker-Ps5/nginx/html/document/en/ps5:/nginx-ps5
      - /home/vince413/Docker-Ps5/nginx/conf/nginx.conf:/etc/nginx/nginx.conf:ro
    networks:
      - ps5-network
    depends_on:
      - flask-api
    restart: unless-stopped

  flask-api:
    build:
      context: ./app/scripts
      dockerfile: Dockerfile
    container_name: flask-ps5-api
    ports:
      - "5000:5000"
    volumes:
      - //home/vince413/Docker-Ps5/nginx/html/document/en/ps5:/app/scripts
      - /home/vince413/ps5_tools:/home/vince413/ps5_tools
    networks:
      - ps5-network
    restart: unless-stopped

networks:
  ps5-network:
    driver: bridge
